This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 204789 - "Ghosting" visible when switching between X and console
"Ghosting" visible when switching between X and console
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 11:55 EDT by Martin Burchell
Modified: 2008-01-15 09:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg (14.76 KB, text/plain)
2006-08-31 11:55 EDT, Martin Burchell
no flags Details
Xorg.0.log (505.14 KB, text/plain)
2006-08-31 11:59 EDT, Martin Burchell
no flags Details

  None (edit)
Description Martin Burchell 2006-08-31 11:55:18 EDT
Description of problem:
Since I upgraded from Fedora Core 4 to Fedora Core 5, sometimes the display is
corrupted and a "ghost" image of the screen appears vertically displaced a few
cm below the actual screen.  This happens either when switching between X and
the console or when the machine is left for a while and taken out of powersaving
mode.  I can normally fix it by switching between X and the console again or
toggling my KVM switch.  Initially I thought the KVM might be responsible, but
the problem was still present when I removed it.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2174_FC5
I'm not sure this is a kernel problem.  I've installed the latest FC5 updates.

How reproducible:
Sometimes 

Steps to Reproduce:
1.Login, start X session
2.Switch from X session to console
3.Switch back to X session
  
Actual results:
Display is corrupted with "ghost" image

Expected results:
Display not corrupted

Additional info:
Comment 1 Martin Burchell 2006-08-31 11:55:26 EDT
Created attachment 135299 [details]
Output from dmesg
Comment 2 Martin Burchell 2006-08-31 11:59:42 EDT
Created attachment 135301 [details]
Xorg.0.log
Comment 3 David Lawrence 2006-09-05 15:06:44 EDT
Changing to proper owner, kernel-maint.
Comment 4 Martin Burchell 2006-10-04 06:23:16 EDT
This bug is annoying. Is there nothing I can do to help investigate it?
Comment 5 Dave Jones 2006-10-16 17:31:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Martin Burchell 2006-10-17 05:07:59 EDT
Still a problem with version 2.6.18-1.2200.fc5
Comment 7 Martin Burchell 2007-01-12 12:15:00 EST
I've also noticed that the display is sometimes corrupted in the same way when
have X running and I turn the monitor on and off. Repeatedly turning on and off
the monitor will produce one of several effects at random, including normal
display. When the display is corrupted there is always the ghost image of each
window 3cm below its correct location but sometimes this is more accentuated and
other times the display is flickery.

Is no one assigned to look at this? I would be happy to help but I don't really
know where to start.
Comment 8 Martin Burchell 2007-05-16 17:33:47 EDT
I've upgraded to Fedora Core 6 and the bug is still there.

I've built my own xorg-x11-drv-i810 rpm.
Any suggestions as to where to start debugging?
Comment 9 Martin Burchell 2007-06-17 13:09:50 EDT
Following suggestions in other related bug reports I moved my xorg.conf out of
the way to see if the screen mode would be auto-detected.  I noticed that the
default resolution is 1280x1024 where as previously I had been using 1024x768. 
There are no problems with the display at this higher resolution.  When
switching to 1024x768, the strange effects I was seeing before returned.

I solved this problem when I dicovered I could write a Modeline specific for the
the 1024x768 resolution as follows:

Modeline "1024x768"  65.00  1024 1080 1184 1344  768 769 772 795  -HSync -Vsync

This seems to work for my graphics card / monitor combination (Intel 810 /
Samsung SyncMaster 171P).

So this is no longer an important issue for me but it would be good if the
correct settings for 1024x768 would work by default.  I'm also curious to know
why this stopped working between FC4 and FC5.
Comment 10 Matěj Cepl 2007-12-10 04:23:26 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 11 Matěj Cepl 2008-01-15 09:40:36 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.